Debian Bug report logs - #559925
libwebkit-1.0-2: on kfreebsd-i386, segfaults when opening pages with javascript

version graph

Package: libwebkit-1.0-2; Maintainer for libwebkit-1.0-2 is Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>;

Reported by: Luca Bruno <lucab@debian.org>

Date: Mon, 7 Dec 2009 20:33:05 UTC

Severity: serious

Tags: confirmed, moreinfo, patch

Merged with 547177, 550362, 598894, 598956

Found in versions webkit/1.1.17-2, webkit/1.2.4-1, webkit/1.2.5-2

Fixed in version webkit/1.2.5-2.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#559925; Package libwebkit-1.0-2. (Mon, 07 Dec 2009 20:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Bruno <lucab@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Mon, 07 Dec 2009 20:33:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Bruno <lucab@debian.org>
To: submit@bugs.debian.org
Subject: libwebkit-1.0-2: on kfreebsd-i386, segfaults when opening pages with javascript
Date: Mon, 7 Dec 2009 21:30:57 +0100
[Message part 1 (text/plain, inline)]
Package:  libwebkit-1.0-2
Version:  1.1.17-2
Severity: important
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,
Current libwebkit (and all browsers based on it) segfaults, on
kfreebsd-i386, when opening pages containing javascript.
#559489 was firstly reported against uzbl, but later confirmed also for
arora and others.
This same bug doesn't occur on kfreebsd-amd64, though.

For your convenience, this bug can be triggered with:
/usr/lib/webkit-1.0-2/libexec/GtkLauncher http://www.uzbl.org

You can find a ktrace log of a crashed GtkLauncher at
http://www.unstable.it/luca/ktrace.log

Cheers, Luca

-- 
 .''`.  ** Debian GNU/Linux **  | Luca Bruno (kaeso)
: :'  :   The Universal O.S.    | lucab (AT) debian.org
`. `'`  			| GPG Key ID: 3BFB9FB3
  `-     http://www.debian.org 	| Debian GNU/Linux Developer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#559925; Package libwebkit-1.0-2. (Mon, 07 Dec 2009 20:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Mon, 07 Dec 2009 20:42:08 GMT) Full text and rfc822 format available.

Message #10 received at 559925@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Luca Bruno <lucab@debian.org>, 559925@bugs.debian.org
Subject: Re: Bug#559925: libwebkit-1.0-2: on kfreebsd-i386, segfaults when opening pages with javascript
Date: Mon, 7 Dec 2009 21:38:30 +0100
On Mon, Dec 07, 2009 at 09:30:57PM +0100, Luca Bruno wrote:
> Package:  libwebkit-1.0-2
> Version:  1.1.17-2
> Severity: important
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> 
> Hi,
> Current libwebkit (and all browsers based on it) segfaults, on
> kfreebsd-i386, when opening pages containing javascript.
> #559489 was firstly reported against uzbl, but later confirmed also for
> arora and others.
> This same bug doesn't occur on kfreebsd-amd64, though.
> 
> For your convenience, this bug can be triggered with:
> /usr/lib/webkit-1.0-2/libexec/GtkLauncher http://www.uzbl.org
> 
> You can find a ktrace log of a crashed GtkLauncher at
> http://www.unstable.it/luca/ktrace.log

A stack trace would be more useful. Could you get one ?

Cheers,

Mike




Information stored :
Bug#559925; Package libwebkit-1.0-2. (Mon, 07 Dec 2009 21:18:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Bruno <lucab@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 07 Dec 2009 21:18:12 GMT) Full text and rfc822 format available.

Message #15 received at 559925-quiet@bugs.debian.org (full text, mbox):

From: Luca Bruno <lucab@debian.org>
To: 559925-quiet@bugs.debian.org
Cc: Yavor Doganov <yavor@gnu.org>, Mike Hommey <mh@glandium.org>
Subject: Re: Bug#559925: libwebkit-1.0-2: on kfreebsd-i386, segfaults when opening pages with javascript
Date: Mon, 7 Dec 2009 22:07:12 +0100
[Message part 1 (text/plain, inline)]
Yavor Doganov scrisse:

> > You can find a ktrace log of a crashed GtkLauncher at
> > http://www.unstable.it/luca/ktrace.log
> 
> This is rather cryptic, could you please provide the kdump output?
> Also, a GDB backtrace if the GDB issue on kfreebsd-* has been fixed
> (my GNU/kFreeBSD machine is down for a few months, unfortunately).

Mike Hommey scrisse:

> A stack trace would be more useful. Could you get one ?

AFAIK, neither strace nor gdb are currently in an usable shape on
kfreebsd, so I'm sorry but can't attach backtrace/strace here.
Anyway, the correspondent kdump of this trace is available at
http://www.unstable.it/luca/ktrace.out

Ciao, Luca

-- 
 .''`.  ** Debian GNU/Linux **  | Luca Bruno (kaeso)
: :'  :   The Universal O.S.    | lucab (AT) debian.org
`. `'`  			| GPG Key ID: 3BFB9FB3
  `-     http://www.debian.org 	| Debian GNU/Linux Developer
[Message part 2 (application/pgp-signature, inline)]

Information stored :
Bug#559925; Package libwebkit-1.0-2. (Mon, 07 Dec 2009 21:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and filed, but not forwarded. (Mon, 07 Dec 2009 21:42:09 GMT) Full text and rfc822 format available.

Message #20 received at 559925-quiet@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Luca Bruno <lucab@debian.org>
Cc: 559925-quiet@bugs.debian.org, Yavor Doganov <yavor@gnu.org>
Subject: Re: Bug#559925: libwebkit-1.0-2: on kfreebsd-i386, segfaults when opening pages with javascript
Date: Mon, 7 Dec 2009 22:39:52 +0100
On Mon, Dec 07, 2009 at 10:07:12PM +0100, Luca Bruno wrote:
> Yavor Doganov scrisse:
> 
> > > You can find a ktrace log of a crashed GtkLauncher at
> > > http://www.unstable.it/luca/ktrace.log
> > 
> > This is rather cryptic, could you please provide the kdump output?
> > Also, a GDB backtrace if the GDB issue on kfreebsd-* has been fixed
> > (my GNU/kFreeBSD machine is down for a few months, unfortunately).
> 
> Mike Hommey scrisse:
> 
> > A stack trace would be more useful. Could you get one ?
> 
> AFAIK, neither strace nor gdb are currently in an usable shape on
> kfreebsd, so I'm sorry but can't attach backtrace/strace here.

:(

> Anyway, the correspondent kdump of this trace is available at
> http://www.unstable.it/luca/ktrace.out

You don't have permission to access /luca/ktrace.out on this server.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#559925; Package libwebkit-1.0-2. (Mon, 07 Dec 2009 22:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yavor Doganov <yavor@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Mon, 07 Dec 2009 22:18:05 GMT) Full text and rfc822 format available.

Message #25 received at 559925@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: Luca Bruno <lucab@debian.org>, 559925@bugs.debian.org
Subject: Re: Bug#559925: libwebkit-1.0-2: on kfreebsd-i386, segfaults when opening pages with javascript
Date: Mon, 07 Dec 2009 22:55:06 +0200
(Disclaimer: I'm the kazehakase maintainer and have no relation with
webkit otherwise.)

Luca Bruno wrote:
> You can find a ktrace log of a crashed GtkLauncher at
> http://www.unstable.it/luca/ktrace.log

This is rather cryptic, could you please provide the kdump output?

Also, a GDB backtrace if the GDB issue on kfreebsd-* has been fixed
(my GNU/kFreeBSD machine is down for a few months, unfortunately).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#559925; Package libwebkit-1.0-2. (Wed, 09 Dec 2009 09:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Wed, 09 Dec 2009 09:48:08 GMT) Full text and rfc822 format available.

Message #30 received at 559925@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Yavor Doganov <yavor@gnu.org>, Luca Bruno <lucab@debian.org>, 559925@bugs.debian.org
Subject: Re: Bug#559925: libwebkit-1.0-2: on kfreebsd-i386, segfaults when opening pages with javascript
Date: Wed, 9 Dec 2009 12:49:08 +0100 (CET)
[Message part 1 (text/plain, inline)]
> For your convenience, this bug can be triggered with:
> /usr/lib/webkit-1.0-2/libexec/GtkLauncher http://www.uzbl.org

Here is the backtrace

Core was generated by `GtkLauncher'.
Program terminated with signal 11, Segmentation fault.
#0  0x282c0e5d in JSC::NumericStrings::add (exec=0x2bec2600, args=...) at 
../JavaScriptCore/runtime/NumericStrings.h:39
39      ../JavaScriptCore/runtime/NumericStrings.h: Adresář nebo soubor 
neexistuje.
        in ../JavaScriptCore/runtime/NumericStrings.h
(gdb) bt
#0  0x282c0e5d in JSC::NumericStrings::add (exec=0x2bec2600, args=...) at 
../JavaScriptCore/runtime/NumericStrings.h:39
#1  JSC::JSValue::toString (exec=0x2bec2600, args=...) at 
../JavaScriptCore/runtime/JSString.h:265
#2  JSC::globalFuncUnescape (exec=0x2bec2600, args=...) at 
../JavaScriptCore/runtime/JSGlobalObjectFunctions.cpp:405
#3  0x2be8c166 in ?? ()
#4  0x281fbbdc in JSC::JITCode::execute (this=0x2bdb66f0, 
program=0x2be3dd90, callFrame=0x2bdcc744, scopeChain=0x2be28a08, 
thisObj=0x2bec0000, exception=0xbfbfb90c) at 
../JavaScriptCore/jit/JITCode.h:79
#5  JSC::Interpreter::execute (this=0x2bdb66f0, program=0x2be3dd90, 
callFrame=0x2bdcc744, scopeChain=0x2be28a08, thisObj=0x2bec0000, 
exception=0xbfbfb90c) at ../JavaScriptCore/interpreter/Interpreter.cpp:613
#6  0x282b1cbb in JSC::evaluate (exec=0x2bdcc744, scopeChain=..., 
source=..., thisValue=...) at ../JavaScriptCore/runtime/Completion.cpp:60
#7  0x2833e8ee in WebCore::evaluateInWorld (exec=0x2bdcc744, 
scopeChain=..., sourceCode=..., thisValue=..., isolatedWorld=0x2bd9aac8) 
at ../WebCore/bindings/js/JSDOMBinding.cpp:878
#8  0x283898e3 in WebCore::ScriptController::evaluateInWorld 
(this=0x2bd848f8, sourceCode=..., world=0x2bd9aac8) at 
../WebCore/bindings/js/ScriptController.cpp:126
#9  0x2838a029 in WebCore::ScriptController::evaluate (this=0x2bd848f8, 
sourceCode=...) at ../WebCore/bindings/js/ScriptController.cpp:152
#10 0x28397e9f in WebCore::ScriptController::executeScript 
(this=0x2bd848f8, sourceCode=...) at 
../WebCore/bindings/ScriptControllerBase.cpp:46
#11 0x2857eee5 in WebCore::HTMLTokenizer::scriptExecution 
(this=0x2bda7400, sourceCode=..., state=...) at 
../WebCore/html/HTMLTokenizer.cpp:565
#12 0x28582f86 in WebCore::HTMLTokenizer::scriptHandler (this=0x2bda7400, 
state=...) at ../WebCore/html/HTMLTokenizer.cpp:507
#13 0x28583991 in WebCore::HTMLTokenizer::parseNonHTMLText 
(this=0x2bda7400, src=..., state=...) at 
../WebCore/html/HTMLTokenizer.cpp:353
#14 0x28585d99 in WebCore::HTMLTokenizer::parseTag (this=0x2bda7400, 
src=..., state=...) at ../WebCore/html/HTMLTokenizer.cpp:1562
#15 0x285866f2 in WebCore::HTMLTokenizer::write (this=0x2bda7400, str=..., 
appendData=true) at ../WebCore/html/HTMLTokenizer.cpp:1757
#16 0x285e1a14 in WebCore::FrameLoader::write (this=0x2bd846a8,
    str=0xbfbfc630 " now, I have a TODO list of features to implement. 
Like a news RSS feed. Possibly a simple forum in the future. Whatever. So, 
this will serve as the project's home page from now on :)</p>\n", ' ' 
<repeats 12 times>..., len=672, flush=false) at 
../WebCore/loader/FrameLoader.cpp:913
#17 0x285e1e27 in WebCore::FrameLoader::addData (this=0x2bd846a8,
    bytes=0xbfbfc630 " now, I have a TODO list of features to implement. 
Like a news RSS feed. Possibly a simple forum in the future. Whatever. So, 
this will serve as the project's home page from now on :)</p>\n", ' ' 
<repeats 12 times>..., length=672) at 
../WebCore/loader/FrameLoader.cpp:1466
#18 0x28182fed in WebKit::FrameLoaderClient::committedLoad 
(this=0x2bd81f20, loader=0x2bd94500,
    data=0xbfbfc630 " now, I have a TODO list of features to implement. 
Like a news RSS feed. Possibly a simple forum in the future. Whatever. So, 
this will serve as the project's home page from now on :)</p>\n", ' ' 
<repeats 12 times>..., length=672) at 
../WebKit/gtk/WebCoreSupport/FrameLoaderClientGtk.cpp:151
#19 0x285ddb47 in WebCore::FrameLoader::committedLoad (this=0x2bd846a8, 
loader=0x2bd94500,
    data=0xbfbfc630 " now, I have a TODO list of features to implement. 
Like a news RSS feed. Possibly a simple forum in the future. Whatever. So, 
this will serve as the project's home page from now on :)</p>\n", ' ' 
<repeats 12 times>..., length=672) at 
../WebCore/loader/FrameLoader.cpp:3209
#20 0x285ccf9c in WebCore::DocumentLoader::commitLoad (this=0x2bd94500,
    data=0xbfbfc630 " now, I have a TODO list of features to implement. 
Like a news RSS feed. Possibly a simple forum in the future. Whatever. So, 
this will serve as the project's home page from now on :)</p>\n", ' ' 
<repeats 12 times>..., length=672) at 
../WebCore/loader/DocumentLoader.cpp:342
#21 0x285de37b in WebCore::FrameLoader::receivedData (this=0x2bd846a8,
    data=0xbfbfc630 " now, I have a TODO list of features to implement. 
Like a news RSS feed. Possibly a simple forum in the future. Whatever. So, 
this will serve as the project's home page from now on :)</p>\n", ' ' 
<repeats 12 times>..., length=672) at 
../WebCore/loader/FrameLoader.cpp:2061
#22 0x285f5c16 in WebCore::MainResourceLoader::addData (this=0x2bdb0a00,
    data=0xbfbfc630 " now, I have a TODO list of features to implement. 
Like a news RSS feed. Possibly a simple forum in the future. Whatever. So, 
this will serve as the project's home page from now on :)</p>\n", ' ' 
<repeats 12 times>..., length=672, allAtOnce=<value optimized out>) at 
../WebCore/loader/MainResourceLoader.cpp:143
#23 0x28605949 in WebCore::ResourceLoader::didReceiveData 
(this=0x2bdb0a00,
    data=0xbfbfc630 " now, I have a TODO list of features to implement. 
Like a news RSS feed. Possibly a simple forum in the future. Whatever. So, 
this will serve as the project's home page from now on :)</p>\n", ' ' 
<repeats 12 times>..., length=672, lengthReceived=<value optimized out>, 
allAtOnce=<value optimized out>) at 
../WebCore/loader/ResourceLoader.cpp:248
#24 0x285f5e79 in WebCore::MainResourceLoader::didReceiveData 
(this=0x2bdb0a00,
    data=0xbfbfc630 " now, I have a TODO list of features to implement. 
Like a news RSS feed. Possibly a simple forum in the future. Whatever. So, 
this will serve as the project's home page from now on :)</p>\n", ' ' 
<repeats 12 times>..., length=672, lengthReceived=0, allAtOnce=false) at 
../WebCore/loader/MainResourceLoader.cpp:374
#25 0x28605368 in WebCore::ResourceLoader::didReceiveData 
(this=0x2bdb0a00,
    data=0xbfbfc630 " now, I have a TODO list of features to implement. 
Like a news RSS feed. Possibly a simple forum in the future. Whatever. So, 
this will serve as the project's home page from now on :)</p>\n", ' ' 
<repeats 12 times>..., length=672, lengthReceived=0) at 
../WebCore/loader/ResourceLoader.cpp:398
#26 0x28999ae7 in gotChunkCallback (msg=0x80b1640, chunk=0x8165f38, 
data=0x2bd7c0c0) at 
../WebCore/platform/network/soup/ResourceHandleSoup.cpp:288
#27 0x29179b8c in g_cclosure_marshal_VOID__BOXED () from 
/usr/lib/libgobject-2.0.so.0
#28 0x2916cdc3 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#29 0x29180eef in ?? () from /usr/lib/libgobject-2.0.so.0
#30 0x29182339 in g_signal_emit_valist () from 
/usr/lib/libgobject-2.0.so.0
#31 0x29182796 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#32 0x2964d196 in soup_message_got_chunk () from /usr/lib/libsoup-2.4.so.1
#33 0x296528ca in ?? () from /usr/lib/libsoup-2.4.so.1
#34 0x29652fb5 in ?? () from /usr/lib/libsoup-2.4.so.1
#35 0x2917a524 in g_cclosure_marshal_VOID__VOID () from 
/usr/lib/libgobject-2.0.so.0
#36 0x2916cdc3 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#37 0x29180eef in ?? () from /usr/lib/libgobject-2.0.so.0
#38 0x29182339 in g_signal_emit_valist () from 
/usr/lib/libgobject-2.0.so.0
#39 0x29182796 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#40 0x2965e98d in ?? () from /usr/lib/libsoup-2.4.so.1
---Type <return> to continue, or q <return> to quit---
#41 0x292165ad in ?? () from /lib/libglib-2.0.so.0
#42 0x291dfe18 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#43 0x291e34b3 in ?? () from /lib/libglib-2.0.so.0
#44 0x291e397a in g_main_loop_run () from /lib/libglib-2.0.so.0
#45 0x28ed6249 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#46 0x08049cd3 in main (argc=Cannot access memory at address 0x3a
) at ../WebKitTools/GtkLauncher/main.c:209


Added indication that bug 559925 blocks 559489 Request was from Luca Bruno <lucab@debian.org> to control@bugs.debian.org. (Mon, 21 Dec 2009 10:21:08 GMT) Full text and rfc822 format available.

Forcibly Merged 559925 598956. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Wed, 06 Oct 2010 13:21:02 GMT) Full text and rfc822 format available.

Added indication that 559925 affects liferea Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 10:00:09 GMT) Full text and rfc822 format available.

Forcibly Merged 559925 598894 598956. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 10:48:05 GMT) Full text and rfc822 format available.

Forcibly Merged 550362 559925 598894 598956. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 11:28:54 GMT) Full text and rfc822 format available.

Forcibly Merged 547177 550362 559925 598894 598956. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Mon, 25 Oct 2010 21:06:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions webkit/1.2.5-2. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 07 Nov 2010 09:16:27 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 07 Nov 2010 09:16:30 GMT) Full text and rfc822 format available.

Information stored :
Bug#559925; Package libwebkit-1.0-2. (Sun, 07 Nov 2010 11:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Sun, 07 Nov 2010 11:27:07 GMT) Full text and rfc822 format available.

Message #51 received at 559925-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 598956@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#598956: javascript segfaults in webkit on kfreebsd-i386
Date: Sun, 7 Nov 2010 10:09:26 +0100 (CET)
found 598956 1.2.5-2
severity 598956 serious
--

Hi,

it brokes many browsers on kfreebsd-i386, please apply (now) tested patch,
which is in

Message #64 received at 598956@bugs.debian.org
Message #69 received at 598956@bugs.debian.org

The patch itself is just adding four times "|| defined(__GLIBC__)".

Thanks

	Petr





Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 11 Nov 2010 10:00:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Jan 2011 07:33:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:38:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.